FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 02-20-2012, 08:37 AM
Josť Romildo Malaquias
 
Default emerge using 100% CPU

Hello.

Recently emerge behavior became strange on my ~amd64 system. When a
package fails to compile, emerge does not terminate, but goes to 100% of
CPU usage. Is anybody seeing this too?

# emerge --version
Portage 2.1.10.47 (default/linux/amd64/10.0/desktop, gcc-4.6.2, glibc-2.14.1-r2, 3.2.6-gentoo x86_64)

Romildo
 
Old 02-20-2012, 06:58 PM
walt
 
Default emerge using 100% CPU

On 02/20/2012 01:37 AM, Josť Romildo Malaquias wrote:
> Hello.
>
> Recently emerge behavior became strange on my ~amd64 system. When a
> package fails to compile, emerge does not terminate, but goes to 100% of
> CPU usage. Is anybody seeing this too?
>
> # emerge --version
> Portage 2.1.10.47 (default/linux/amd64/10.0/desktop, gcc-4.6.2, glibc-2.14.1-r2, 3.2.6-gentoo x86_64)

No such problem on my ~amd64 (but I'm staying with gcc-4.5.3 for now).

Portage is a collection of python scripts, so you might want to run
python-updater just for insurance.

Which version of python is your portage using? (See the useflags on your
sys-apps/portage package.)
 
Old 02-20-2012, 08:49 PM
Josť Romildo Malaquias
 
Default emerge using 100% CPU

On Mon, Feb 20, 2012 at 11:58:02AM -0800, walt wrote:
> On 02/20/2012 01:37 AM, Josť Romildo Malaquias wrote:
> > Hello.
> >
> > Recently emerge behavior became strange on my ~amd64 system. When a
> > package fails to compile, emerge does not terminate, but goes to 100% of
> > CPU usage. Is anybody seeing this too?
> >
> > # emerge --version
> > Portage 2.1.10.47 (default/linux/amd64/10.0/desktop, gcc-4.6.2, glibc-2.14.1-r2, 3.2.6-gentoo x86_64)
>
> No such problem on my ~amd64 (but I'm staying with gcc-4.5.3 for now).
>
> Portage is a collection of python scripts, so you might want to run
> python-updater just for insurance.
>
> Which version of python is your portage using? (See the useflags on your
> sys-apps/portage package.)

The problem seems to be fixed with the newer release of portage.

See https://bugs.gentoo.org/show_bug.cgi?id=404995.

Romildo
 

Thread Tools




All times are GMT. The time now is 10:06 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org